package com.sptg.estate.biz.controller;

import com.baomidou.mybatisplus.plugins.Page;
import com.sptg.common.core.beans.ResultBean;
import com.sptg.estate.api.dto.PratiqueDto;
import com.sptg.estate.api.entity.Pratique;
import com.sptg.estate.api.feigns.PratiqueFeign;
import com.sptg.estate.biz.service.PratiqueServiceInterface;
import com.sptg.permissions.api.entity.Organization;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * Created By lidexi in 2021/1/8
 * 防疫通行控制器
 **/
@RestController
public class PratiqueController implements PratiqueFeign {

    private final PratiqueServiceInterface pratiqueServiceInterface;

    @Autowired
    public PratiqueController(PratiqueServiceInterface pratiqueServiceInterface) {
        this.pratiqueServiceInterface = pratiqueServiceInterface;
    }

    @Override
    @PostMapping(value = "/pratique/showPratiqueList")
    public ResultBean<Page<Pratique>> showPratiqueList(@RequestBody PratiqueDto pratiqueDto) {
        return this.pratiqueServiceInterface.showPratiqueList(pratiqueDto);
    }

    @Override
    @PostMapping(value = "/pratique/addPratique")
    public ResultBean<Pratique> addPratique(@RequestBody PratiqueDto pratiqueDto) {
        return this.pratiqueServiceInterface.addPratique(pratiqueDto);
    }

    @Override
    @GetMapping(value = "/pratique/findPratiqueById/{id}")
    public Pratique findPratiqueById(@PathVariable("id") Long id) {
        return this.pratiqueServiceInterface.findPratiqueById(id);
    }

    @Override
    @PostMapping(value = "/pratique/updatePratique")
    public ResultBean<Boolean> updatePratique(@RequestBody PratiqueDto pratiqueDto) {
        return this.pratiqueServiceInterface.updatePratique(pratiqueDto);
    }

    @Override
    @PostMapping(value = "/pratique/deletePratique")
    public ResultBean<Boolean> deletePratique(@RequestBody PratiqueDto pratiqueDto) {
        return this.pratiqueServiceInterface.deletePratique(pratiqueDto);
    }

    @Override
    @PostMapping(value = "/pratique/deletePratiqueList")
    public ResultBean<Boolean> deletePratiqueList(@RequestBody PratiqueDto pratiqueDto) {
        return null;
    }

    @Override
    @PostMapping(value = "pratique/getListByCondition")
    public List<Pratique> getListByCondition(@RequestBody PratiqueDto pratiqueDto) {
        return null;
    }




}
